com.sun.grid.jgdi.filter

## Class PrimaryKeyFilter

- java.lang.Object
- - com.sun.grid.jgdi.filter.PrimaryKeyFilter

- All Implemented Interfaces:
    JGDIFilter

      public class PrimaryKeyFilter
      extends java.lang.Object
      implements JGDIFilter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `PrimaryKeyFilter(java.lang.String type)` Creates a new instance of PrimaryKeyFilter

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `exclude(int field, int value)`
    `void` | `exclude(int field, java.lang.String value)`
    `java.util.List` | `getFields()`
    `java.lang.String` | `getType()`
    `void` | `include(int field, int value)`
    `void` | `include(int field, java.lang.String value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PrimaryKeyFilter

          public PrimaryKeyFilter(java.lang.String type)

      Creates a new instance of PrimaryKeyFilter

  - ### Method Detail

    - #### include

          public void include(int field,
                              java.lang.String value)

    - #### include

          public void include(int field,
                              int value)

    - #### exclude

          public void exclude(int field,
                              java.lang.String value)

    - #### exclude

          public void exclude(int field,
                              int value)

    - #### getType

          public java.lang.String getType()

    - #### getFields

          public java.util.List getFields()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.